<?php

class ACMS_POST_2GET_Ajax extends ACMS_POST_2GET
{
    /**
     * リダイレクト実行
     * @param Field $post
     * @return void
     */
    protected function executeRedirect(Field $post): void
    {
        $uriObjectBuilder = App::make('url.uri-object');
        assert($uriObjectBuilder instanceof \Acms\Services\Url\UriObjectBuilder);
        $this->redirect(acmsLink($uriObjectBuilder->getUriObject($post), [
            'inherit' => true,
            'isDeep' => true,
            'baseId' => false,
            'explicitTpl' => true,
            'ignoreTplIfAjax' => false,
        ]));
    }
}
